<div class="container">
  <h2 class="title" align="center">TODO List</h2>
  <div class="input-container">
    <input class="add-input" placeholder="add item" [(ngModel)]="addItem" (keyup.enter)="addListItem()">
    <i class="fas fa-plus-circle pointer" (click)="addListItem()"></i>
  </div>
  <div class="{{l.icon ? 'selected-container' : 'list-container'}}" *ngFor="let l of list" @fade>
    <div style="display: flex">
      <p class="delete-item pointer" *ngIf="l.icon" (click)="deleteItem(l)">
        <i class="fas fa-trash-alt" style="font-size: 40px; margin-top: 6px"></i>
      </p> 
      <p class="{{l.icon ? 'expanded-list-item' : 'list-item'}}" (click)="displayHidden(l)">
        {{l?.title}} <span class="collapse-input pointer {{rotateIcon}}">
          <i class="{{l.icon ? 'fas fa-times' : 'fas fa-caret-down'}}" style="font-size: 40px"></i>
        </span> </p>
    </div>
    <div class="hidden-input" @collapse *ngIf="l.icon">
      <div class="input-container">
        <input class="add-input" placeholder="add subitem" (keyup.enter)="addSub()" [(ngModel)]="subItem">
        <i class="fas fa-plus-circle" (click)="addSub()"></i>
      </div>
      <div class="sub-list" *ngFor="let s of l.items" @fadeSub>
        <p style="margin-top: 0"
        [ngStyle]="{'color': (s.icon ? 'white' : 'black')}"> {{s?.title}} 
          <span class="collapse-input pointer" (click)="deleteSubItem(s)">
              <i class="{{s.icon ? 'fas fa-check-circle' : 'far fa-check-circle'}}" style="font-size: 40px;"
              ></i>
          </span>
        </p>
      </div>
    </div>
  </div>
</div>
